Imports System.Runtime.Serialization

Namespace Methods.Base.GetClientConfig

    <Serializable>
    <DataContract>
    Public Class GetClientConfigResponse
        Inherits Messages.BaseResponse

        <DataMember>
        Public Property ClientConfig As Config.ClientConfiguration

        Public Sub New(pConfig As Config.ClientConfiguration)
            MyBase.New()
            ClientConfig = pConfig
        End Sub

        Public Sub New(pException As Exception, Optional pDetails As String = "")
            MyBase.New(pException, pDetails)
        End Sub
    End Class

End Namespace